#include <stdio.h>
#include <stdlib.h>
#include <time.h>


#define ITER 1000

void main(void)
{
	register unsigned int k,i;
	unsigned int iter, count;
	static unsigned char flags[ITER];
	clock_t start, end;
	unsigned long t;

	start=clock();
	for(iter=1; iter<=ITER; iter++)
	{
		count=0;
		for(i=0; i<=ITER; i++)
		{
			flags[i]=0;
		}
		for(i=2; i<=ITER; i++)
		{
			if (flags[i]==0)	/* found a prime */
			{
				count++;	
				for (k=i+i; k<=ITER; k+=i)
				{
					flags[k]=1;
				}
			}
		}
	}
	end=clock();
	t=(long)(end-start)*1000/(int)CLOCKS_PER_SEC;
	printf("%d iterations %d primes found, %ld ms.", ITER, count, t);
}
